function data = runICaLVoltageClamp(number, settings, paramname, outputname)
	if nargin < 4, outputname = []; end
	if nargin < 3, paramname = []; end
	if nargin < 2, settings = []; end
	if nargin < 1, number = 1; end
	
	tsingle = [(0:1:2064),50000];
	Vmsingle = [-80 * ones(1,80), -80 + (-40 - -80) / 100 .* (1:1:100), -40 * ones(1,20), 10 * ones(1, 100), -80 * ones(1, 2064 - 300 + 1), -80];
	%Vmsingle = -80 * ones(size(tsingle,1),size(tsingle,2));
	
	%ttot = []; Vmtot = [];
	%for ii = 1:number
	%	ttot = [ttot, tsingle(1:end-1) + (ii-1)*tsingle(end)];
	%	Vmtot = [Vmtot, Vmsingle(1:end-1)];
	%end
	
	settings.applyVoltageClamp = 'true';
	settings.VC_Times = tsingle;
	settings.VC_Values = Vmsingle;
	if ~isfield(settings, 'startsave'), settings.startsave = 0; end
	settings.bcl = tsingle(end-1);
	settings.ft = number * tsingle(end-1);
	if ~isfield(settings, 'levelOfElectroDetail'), settings.levelOfElectroDetail = 44; end
	settings.IK1B = 1.0; settings.IKrB = 1.0; settings.IToB = 1.0; settings.IKsB = 1.0; settings.IKpB = 1.0; settings.IKurB = 1.0; settings.INaB = 1.0;
	settings.Ca_o = 2.0;
	
	data = HAMM(settings, paramname, outputname);
end